1.0

1.0

get /v1/ports

Description

Port 목록을 조회한다.

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
Port 제한
Example :
any of [integer, null]None
querymarker
optional
Port 마커
Example :
any of [string, null]None
querysort
optional
Port 정렬
Example :
any of [string, null]None
queryname
optional
Port 명
Example :
any of [string, null]None
querysubnet_id
optional
Subnet ID
Example :
any of [string, null]None
querysubnet_name
optional
Subnet 명
Example :
any of [string, null]None
queryid
optional
Port ID
Example :
any of [string, null]None
queryattached_resource_id
optional
연결된 자원 ID
Example :
any of [string, null]None
queryfixed_ip_address
optional
고정된 IP
Example :
any of [string, null]None
querymac_address
optional
MAC 주소
Example :
any of [string, null]None
querystate
optional
상태
Example :
any of [string, null]None
querysecurity_groups
optional
Security Group 목록
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKPortListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/ports

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "ports": [
        {
            "account_id": "",
            "attached_resource_id": "",
            "attached_resource_type": "",
            "created_at": "2026-02-11T06:45:08.861Z",
            "description": "",
            "fixed_ip_address": "",
            "id": "",
            "mac_address": "",
            "modified_at": "2026-02-11T06:45:08.862Z",
            "name": "",
            "state": "",
            "subnet_id": "",
            "subnet_name": "",
            "vpc_id": "",
            "vpc_name": ""
        }
    ]
}